Index: branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs	(revision 9352)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblem.cs	(revision 9392)
@@ -62,7 +62,4 @@
       get { return (IFixedValueParameter<IntValue>)Parameters["SizePenaltyMinRules"]; }
     }
-    public IFixedValueParameter<IntValue> ActivationIterationParameter {
-      get { return (IFixedValueParameter<IntValue>)Parameters["ActivationIteration"]; }
-    }
     public IFixedValueParameter<DoubleValue> InitialTheoryLengthRatioParameter {
       get { return (IFixedValueParameter<DoubleValue>)Parameters["InitialTheoryLengthRatio"]; }
@@ -88,4 +85,7 @@
     }
 
+    IStrataSingleObjectiveEvaluator IGAssistProblem.Evaluator {
+      get { return Evaluator; }
+    }
     IDecisionListEvaluator IDecisionListClassificationProblem.Evaluator {
       get { return Evaluator; }
@@ -101,4 +101,7 @@
       : base(original, cloner) {
     }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new DecisionListClassificationProblem(this, cloner);
+    }
 
     public DecisionListClassificationProblem()
@@ -113,12 +116,7 @@
       Parameters.Add(new FixedValueParameter<DoubleValue>("BestKnownQuality", "", new DoubleValue(0.5)));
       Parameters.Add(new FixedValueParameter<IntValue>("SizePenaltyMinRules", "", new IntValue(4)));
-      Parameters.Add(new FixedValueParameter<IntValue>("ActivationIteration", "", new IntValue(25)));
-      Parameters.Add(new FixedValueParameter<DoubleValue>("InitialTheoryLengthRatio", "", new DoubleValue(0.075)));
-      Parameters.Add(new FixedValueParameter<DoubleValue>("WeightRelaxFactor", "", new DoubleValue(0.9)));
       Parameters.Add(new FixedValueParameter<PercentValue>("ActionMutationProbability", "", new PercentValue(0.1)));
 
       Evaluator.SizePenaltyMinRulesParameter.ActualName = "SizePenaltyMinRules";
-      // do differently
-      ((MDLEvaluator)Evaluator).MDLCalculatorParameter.Value = new MDLCalculator(ActivationIterationParameter.Value.Value, InitialTheoryLengthRatioParameter.Value.Value, WeightRelaxFactorParameter.Value.Value);
 
       InitializeOperators();
@@ -169,7 +167,4 @@
       }
     }
-    public override IDeepCloneable Clone(Cloner cloner) {
-      return new DecisionListClassificationProblem(this, cloner);
-    }
 
     IParameter IGAssistProblem.ProblemDataParameter {
Index: branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs
===================================================================
--- branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs	(revision 9352)
+++ branches/LearningClassifierSystems/HeuristicLab.Problems.DecisionListClassification/3.3/DecisionListClassificationProblemData.cs	(revision 9392)
@@ -214,5 +214,5 @@
     }
 
-    public IEnumerable<DecisionListInput> FetchInput(IEnumerable<int> rows) {
+    public IEnumerable<IGAssistInput> FetchInput(IEnumerable<int> rows) {
       foreach (var row in rows) {
         yield return FetchInput(row);
@@ -221,5 +221,5 @@
 
     protected IDictionary<int, DecisionListInput> fetchInputCache = new Dictionary<int, DecisionListInput>();
-    public DecisionListInput FetchInput(int row) {
+    public IGAssistInput FetchInput(int row) {
       if (!fetchInputCache.ContainsKey(row)) {
         DecisionListInput input = new DecisionListInput();
@@ -234,5 +234,5 @@
     }
 
-    public IEnumerable<IAction> FetchAction(IEnumerable<int> rows) {
+    public IEnumerable<IGAssistNiche> FetchAction(IEnumerable<int> rows) {
       foreach (var row in rows) {
         yield return FetchAction(row);
@@ -240,5 +240,5 @@
     }
     protected IDictionary<int, IAction> fetchActionCache = new Dictionary<int, IAction>();
-    public IAction FetchAction(int row) {
+    public IGAssistNiche FetchAction(int row) {
       if (!fetchActionCache.ContainsKey(row)) {
         var action = (IAction)SampleRuleParameter.Value.Action.Clone();
